diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListEqualsTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListEqualsTester.java
index 3a09586..5af576c 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListEqualsTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListEqualsTester.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.testers;
 
 import static com.google.common.collect.testing.features.CollectionFeature.ALLOWS_NULL_VALUES;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MinimalSet;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -32,7 +31,6 @@ import org.junit.Ignore;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListEqualsTester<E> extends AbstractListTester<E> {
   public void testEquals_otherListWithSameElements() {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListGetTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListGetTester.java
index 2ca16c4..ea23cd8 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListGetTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListGetTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.testers;
 
-import com.google.common.annotations.GwtCompatible;
 import org.junit.Ignore;
 
 /**
@@ -25,7 +24,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListGetTester<E> extends AbstractListTester<E> {
   public void testGet_valid() {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListHashCodeTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListHashCodeTester.java
index 93a8526..1319f3a 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListHashCodeTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListHashCodeTester.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect.testing.testers;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import java.lang.reflect.Method;
 import org.junit.Ignore;
@@ -27,7 +25,6 @@ import org.junit.Ignore;
  *
  * @author George van den Driessche
  */
-@GwtCompatible(emulated = true)
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListHashCodeTester<E> extends AbstractListTester<E> {
   public void testHashCode() {
@@ -45,7 +42,7 @@ public class ListHashCodeTester<E> extends AbstractListTester<E> {
    * Returns the {@link Method} instance for {@link #testHashCode()} so that list tests on
    * unhashable objects can suppress it with {@code FeatureSpecificTestSuiteBuilder.suppressing()}.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getHashCodeMethod() {
     return Helpers.getMethod(ListHashCodeTester.class, "testHashCode");
   }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListIndexOfTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListIndexOfTester.java
index 7afb8c8..9f7c470 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListIndexOfTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListIndexOfTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.REJEC
 import static com.google.common.collect.testing.features.CollectionSize.ONE;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import org.junit.Ignore;
@@ -31,7 +30,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListIndexOfTester<E> extends AbstractListIndexOfTester<E> {
   @Override
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListLastIndexOfTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListLastIndexOfTester.java
index 19f7f1e..2430c46 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListLastIndexOfTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListLastIndexOfTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.REJEC
 import static com.google.common.collect.testing.features.CollectionSize.ONE;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import org.junit.Ignore;
@@ -31,7 +30,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListLastIndexOfTester<E> extends AbstractListIndexOfTester<E> {
   @Override
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListListIteratorTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListListIteratorTester.java
index 0d4b13e..9960ebd 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListListIteratorTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListListIteratorTester.java
@@ -24,8 +24,6 @@ import static com.google.common.collect.testing.features.ListFeature.SUPPORTS_SE
 import static com.google.common.collect.testing.testers.Platform.listListIteratorTesterNumIterations;
 import static java.util.Collections.singleton;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.IteratorFeature;
 import com.google.common.collect.testing.ListIteratorTester;
@@ -45,7 +43,6 @@ import org.junit.Ignore;
  * @author Chris Povirk
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListListIteratorTester<E> extends AbstractListTester<E> {
   @CollectionFeature.Require(absent = SUPPORTS_REMOVE)
@@ -111,7 +108,7 @@ public class ListListIteratorTester<E> extends AbstractListTester<E> {
    * FeatureSpecificTestSuiteBuilder.suppressing()} until <a
    * href="http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6570575">Sun bug 6570575</a> is fixed.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getListIteratorFullyModifiableMethod() {
     return Helpers.getMethod(ListListIteratorTester.class, "testListIterator_fullyModifiable");
   }
@@ -120,7 +117,7 @@ public class ListListIteratorTester<E> extends AbstractListTester<E> {
    * Returns the {@link Method} instance for {@link #testListIterator_unmodifiable()} so that it can
    * be suppressed in GWT tests.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getListIteratorUnmodifiableMethod() {
     return Helpers.getMethod(ListListIteratorTester.class, "testListIterator_unmodifiable");
   }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveAllTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveAllTester.java
index 513134c..78503e5 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveAllTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveAllTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.SUPPO
 import static com.google.common.collect.testing.features.CollectionSize.ONE;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MinimalCollection;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -33,7 +32,6 @@ import org.junit.Ignore;
  * @author George van den Driessche
  */
 @SuppressWarnings("unchecked") // too many "unchecked generic array creations"
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListRemoveAllTester<E> extends AbstractListTester<E> {
   @CollectionFeature.Require(SUPPORTS_REMOVE)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveAtIndexTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveAtIndexTester.java
index 9714251..bd51122 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveAtIndexTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveAtIndexTester.java
@@ -21,7 +21,6 @@ import static com.google.common.collect.testing.features.CollectionSize.ONE;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.ListFeature.SUPPORTS_REMOVE_WITH_INDEX;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -37,7 +36,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListRemoveAtIndexTester<E> extends AbstractListTester<E> {
   @ListFeature.Require(absent = SUPPORTS_REMOVE_WITH_INDEX)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveTester.java
index 9c2c688..de9fcbd 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRemoveTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.SUPPO
 import static com.google.common.collect.testing.features.CollectionSize.ONE;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import org.junit.Ignore;
@@ -31,7 +30,6 @@ import org.junit.Ignore;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListRemoveTester<E> extends AbstractListTester<E> {
   @CollectionFeature.Require(SUPPORTS_REMOVE)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRetainAllTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRetainAllTester.java
index 96bd3b4..58dcc93 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRetainAllTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListRetainAllTester.java
@@ -22,7 +22,6 @@ import static com.google.common.collect.testing.features.CollectionSize.ONE;
 import static com.google.common.collect.testing.features.CollectionSize.SEVERAL;
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.MinimalCollection;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -35,7 +34,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListRetainAllTester<E> extends AbstractListTester<E> {
   @CollectionFeature.Require(SUPPORTS_REMOVE)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListSetTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListSetTester.java
index 844f1b4..9495cd3 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListSetTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListSetTester.java
@@ -20,8 +20,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.ALLOW
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.ListFeature.SUPPORTS_SET;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -35,7 +33,6 @@ import org.junit.Ignore;
  *
  * @author George van den Driessche
  */
-@GwtCompatible(emulated = true)
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListSetTester<E> extends AbstractListTester<E> {
   @ListFeature.Require(SUPPORTS_SET)
@@ -142,7 +139,7 @@ public class ListSetTester<E> extends AbstractListTester<E> {
    * will be to permit them, as it seems more likely that code would depend on that behavior than on
    * the other. Thus, we say the bug is in set(), which fails to support null.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getSetNullSupportedMethod() {
     return Helpers.getMethod(ListSetTester.class, "testSet_null");
   }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListSubListTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListSubListTester.java
index 553b693..12aa66d 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListSubListTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListSubListTester.java
@@ -25,8 +25,6 @@ import static com.google.common.collect.testing.features.ListFeature.SUPPORTS_RE
 import static com.google.common.collect.testing.features.ListFeature.SUPPORTS_SET;
 import static java.util.Collections.emptyList;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -46,7 +44,6 @@ import org.junit.Ignore;
  * @author Chris Povirk
  */
 @SuppressWarnings("unchecked") // too many "unchecked generic array creations"
-@GwtCompatible(emulated = true)
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListSubListTester<E> extends AbstractListTester<E> {
   public void testSubList_startNegative() {
@@ -319,7 +316,7 @@ public class ListSubListTester<E> extends AbstractListTester<E> {
    * FeatureSpecificTestSuiteBuilder.suppressing()} until <a
    * href="http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6570631">Sun bug 6570631</a> is fixed.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getSubListOriginalListSetAffectsSubListMethod() {
     return getMethod(ListSubListTester.class, "testSubList_originalListSetAffectsSubList");
   }
@@ -331,7 +328,7 @@ public class ListSubListTester<E> extends AbstractListTester<E> {
    * FeatureSpecificTestSuiteBuilder.suppressing()} until <a
    * href="http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6570631">Sun bug 6570631</a> is fixed.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getSubListOriginalListSetAffectsSubListLargeListMethod() {
     return getMethod(ListSubListTester.class, "testSubList_originalListSetAffectsSubListLargeList");
   }
@@ -343,7 +340,7 @@ public class ListSubListTester<E> extends AbstractListTester<E> {
    * FeatureSpecificTestSuiteBuilder.suppressing()} until <a
    * href="http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6570575">Sun bug 6570575</a> is fixed.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getSubListSubListRemoveAffectsOriginalLargeListMethod() {
     return getMethod(ListSubListTester.class, "testSubList_subListRemoveAffectsOriginalLargeList");
   }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListToArrayTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListToArrayTester.java
index 4c5eb09..c0193bf 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/ListToArrayTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/ListToArrayTester.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.testers;
 
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.features.CollectionSize;
 import java.util.Arrays;
 import org.junit.Ignore;
@@ -29,7 +28,6 @@ import org.junit.Ignore;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class ListToArrayTester<E> extends AbstractListTester<E> {
   // CollectionToArrayTester tests everything except ordering.
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapClearTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapClearTester.java
index 64f5127..6fb2d48 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapClearTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapClearTester.java
@@ -21,7 +21,6 @@ import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.MapFeature.FAILS_FAST_ON_CONCURRENT_MODIFICATION;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_REMOVE;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -37,7 +36,6 @@ import org.junit.Ignore;
  * @author George van den Driessche
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapClearTester<K, V> extends AbstractMapTester<K, V> {
   @MapFeature.Require(SUPPORTS_REMOVE)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapContainsKeyTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapContainsKeyTester.java
index 3721db1..f83877c 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapContainsKeyTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapContainsKeyTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_KEYS;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_KEY_QUERIES;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.WrongType;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -33,7 +32,6 @@ import org.junit.Ignore;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapContainsKeyTester<K, V> extends AbstractMapTester<K, V> {
   @CollectionSize.Require(absent = ZERO)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapContainsValueTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapContainsValueTester.java
index 044562a..c7f3f5e 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapContainsValueTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapContainsValueTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUES;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUE_QUERIES;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.WrongType;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -34,7 +33,6 @@ import org.junit.Ignore;
  * @author George van den Driessche
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapContainsValueTester<K, V> extends AbstractMapTester<K, V> {
   @CollectionSize.Require(absent = ZERO)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapCreationTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapCreationTester.java
index 0810dea..2394c1e 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapCreationTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapCreationTester.java
@@ -22,8 +22,6 @@ import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUES;
 import static com.google.common.collect.testing.features.MapFeature.REJECTS_DUPLICATES_AT_CREATION;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -42,7 +40,6 @@ import org.junit.Ignore;
  * @author Chris Povirk
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapCreationTester<K, V> extends AbstractMapTester<K, V> {
   @MapFeature.Require(ALLOWS_NULL_KEYS)
@@ -147,7 +144,7 @@ public class MapCreationTester<K, V> extends AbstractMapTester<K, V> {
    * tests can suppress it with {@code FeatureSpecificTestSuiteBuilder.suppressing()} until <a
    * href="http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5045147">Sun bug 5045147</a> is fixed.
    */
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getCreateWithNullKeyUnsupportedMethod() {
     return Helpers.getMethod(MapCreationTester.class, "testCreateWithNullKeyUnsupported");
   }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapEntrySetTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapEntrySetTester.java
index 537f091..232538b 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapEntrySetTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapEntrySetTester.java
@@ -25,8 +25,6 @@ import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUE_QUERIES;
 import static com.google.common.collect.testing.features.MapFeature.SUPPORTS_PUT;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -45,7 +43,6 @@ import org.junit.Ignore;
  * @param <K> The key type of the map implementation under test.
  * @param <V> The value type of the map implementation under test.
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapEntrySetTester<K, V> extends AbstractMapTester<K, V> {
   private enum IncomparableType {
@@ -141,27 +138,27 @@ public class MapEntrySetTester<K, V> extends AbstractMapTester<K, V> {
     expectUnchanged();
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getContainsEntryWithIncomparableKeyMethod() {
     return Helpers.getMethod(MapEntrySetTester.class, "testContainsEntryWithIncomparableKey");
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getContainsEntryWithIncomparableValueMethod() {
     return Helpers.getMethod(MapEntrySetTester.class, "testContainsEntryWithIncomparableValue");
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getSetValueMethod() {
     return Helpers.getMethod(MapEntrySetTester.class, "testSetValue");
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getSetValueWithNullValuesPresentMethod() {
     return Helpers.getMethod(MapEntrySetTester.class, "testSetValueWithNullValuesPresent");
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getSetValueWithNullValuesAbsentMethod() {
     return Helpers.getMethod(MapEntrySetTester.class, "testSetValueWithNullValuesAbsent");
   }
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapEqualsTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapEqualsTester.java
index 2408ad4..71b06db 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapEqualsTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapEqualsTester.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing.testers;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_KEYS;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUES;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -36,7 +35,6 @@ import org.junit.Ignore;
  * @author George van den Driessche
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapEqualsTester<K, V> extends AbstractMapTester<K, V> {
   public void testEquals_otherMapWithSameEntries() {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapGetTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapGetTester.java
index 89610f2..a36cd3d 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapGetTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapGetTester.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_KEYS;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_KEY_QUERIES;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.WrongType;
 import com.google.common.collect.testing.features.CollectionSize;
@@ -34,7 +33,6 @@ import org.junit.Ignore;
  * @author Kevin Bourrillion
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapGetTester<K, V> extends AbstractMapTester<K, V> {
   @CollectionSize.Require(absent = ZERO)
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapHashCodeTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapHashCodeTester.java
index 97ad5c4..925fc85 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapHashCodeTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapHashCodeTester.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing.testers;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_KEYS;
 import static com.google.common.collect.testing.features.MapFeature.ALLOWS_NULL_VALUES;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
@@ -33,7 +32,6 @@ import org.junit.Ignore;
  * @author George van den Driessche
  * @author Chris Povirk
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapHashCodeTester<K, V> extends AbstractMapTester<K, V> {
   public void testHashCode() {
diff --git a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapIsEmptyTester.java b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapIsEmptyTester.java
index 548ebe5..89e186a 100644
--- a/android/guava-testlib/src/com/google/common/collect/testing/testers/MapIsEmptyTester.java
+++ b/android/guava-testlib/src/com/google/common/collect/testing/testers/MapIsEmptyTester.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing.testers;
 
 import static com.google.common.collect.testing.features.CollectionSize.ZERO;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.common.collect.testing.AbstractMapTester;
 import com.google.common.collect.testing.features.CollectionSize;
 import org.junit.Ignore;
@@ -29,7 +28,6 @@ import org.junit.Ignore;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public class MapIsEmptyTester<K, V> extends AbstractMapTester<K, V> {
   @CollectionSize.Require(ZERO)
